# Created: MAY 2014
# Author: Lukas Treyer
# License: GPL

class ArcEntity:
    """
    Used in convert.bulge_to_cubic() since bulges define how much a straight polyline segment should be transformed to
    an arc. ArcEntity is just used to call do.arc() without having a real Arc-Entity from dxfgrabber.
    """
    def __init__(self, start, end, center, radius, angdir):
        self.startangle = start
        self.endangle = end
        self.center = center
        self.radius = radius
        self.angdir = angdir

    def __str__(self):
        return "startangle: "+str(self.startangle)+", endangle: "+str(self.endangle)+\
               ", center: "+str(self.center)+", radius: "+str(self.radius)+", angdir: "+str(self.angdir)


class LineEntity:
    """
    Used in do._gen_meshface()
    """

    def __init__(self, start, end):
        self.start = start
        self.end = end